Subject: [Ecrit] FW: GenART Telechat review of draft-ietf-ecrit-location-hiding-req-02

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Sun, 21 Feb 2010 09:27:19 +0200

Thanks for your review, Ben. 

Let me provide a response below. 

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On 
>Behalf Of ext Ben Campbell
>Sent: 16 February, 2010 23:31
>To: [email-masked]; [email-masked]; 
>Hannes Tschofenig; [email-masked]; 
>[email-masked]; General Area Review Team
>Cc: Cullen Jennings; [email-masked]; IETF-Discussion list
>Subject: GenART Telechat review of 
>draft-ietf-ecrit-location-hiding-req-02
>
>I have been selected as the General Area Review Team (Gen-ART) 
>reviewer for this draft (for background on Gen-ART, please see 
>http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).
>
>Please wait for direction from your document shepherd or AD 
>before posting a new version of the draft.
>
>Document: draft-ietf-ecrit-location-hiding-req-02
>Reviewer: Ben Campbell
>Review Date: 16 Feb 2010
>IESG Telechat date: 18 Feb 2010
>
>Summary: This draft is really close to ready for publication 
>as an informational RFC. I have one unaddressed editorial 
>comment, which on reflection I am promoting to a minor issue, 
>as well as a few more editorial comments that should probably 
>not block publication.
>
>Major issues:
>Minor issues:
>
>-- section 3.3, first bullet:
>
>I'm still a little confused by seeing a normative MUST in a 
>section entitled "Desirable Properties". If it's really a 
>MUST, then perhaps it should be promoted to a bona-fide 
>requirement? Otherwise, perhaps it should be a SHOULD?

That was probably my mistake from an English point of view. 
I changed it to "Miscellaneous Properties". 

>
>Nits/editorial comments:
>
>-- Req-10:  The solution MUST allow the end host to determine 
>PSAP/ESRP URLs prior to the call, for all emergency services.
>
>Who is the "end host"?

Your laptop, your mobile phone, your desktop PC, your Internet tablet,
...
Do you think I should add something like "end host (such as a laptop or
a mobile phone)" to clarify this issue? 

>
>-- section 3.3, third bullet:
>
>s/"...break by the presence..."/"...break in the presence..."  
>  [or "...be broken by the presence..."]
>
Fixed. 

>
>-- idnits has some new things to say. (I suspect the 
>boilerplate complaints have to do with the paragraphs 
>splitting across page breaks.)
>
>> tmp/draft-ietf-ecrit-location-hiding-req-02.txt:
>> 
>>   Checking boilerplate required by RFC 5378 and the IETF Trust (see
>>   http://trustee.ietf.org/license-info):
>>   
>> 
>----------------------------------------------------------------------
>> ------
>> 
>>   ** The document seems to lack a License Notice according IETF Trust
>>      Provisions of 28 Dec 2009, Section 6.b.i or Provisions 
>of 12 Sep 2009
>>      Section 6.b -- however, there's a paragraph with a 
>matching beginning.
>>      Boilerplate error?
>> 
>>      (You're using the IETF Trust Provisions' Section 6.b 
>License Notice from
>>      12 Feb 2009 rather than one of the newer Notices.  See
>>      http://trustee.ietf.org/license-info/.)
>> 
>> 
>>   Checking nits according to 
>http://www.ietf.org/ietf/1id-guidelines.txt:
>>   
>> 
>----------------------------------------------------------------------
>> ------
>> 
>>      No issues found here.
>> 
>>   Checking nits according to http://www.ietf.org/ID-Checklist.html:
>>   
>> 
>----------------------------------------------------------------------
>> ------
>> 
>>      No issues found here.
>> 
>>   Miscellaneous warnings:
>>   
>> 
>----------------------------------------------------------------------
>> ------
>> 
>>   == The copyright year in the IETF Trust and authors 
>Copyright Line does not
>>      match the current year
>> 
>>   == The document seems to lack the recommended RFC 2119 
>boilerplate, even if
>>      it appears to use RFC 2119 keywords -- however, there's 
>a paragraph with
>>      a matching beginning. Boilerplate error?
>> 
>>      (The document does seem to have the reference to RFC 
>2119 which the
>>      ID-Checklist requires).
>>   == The document seems to lack a disclaimer for pre-RFC5378 
>work, but was
>>      first submitted before 10 November 2008.  Should you 
>add the disclaimer?
>>      (See the Legal Provisions document at
>>      http://trustee.ietf.org/license-info for more information.). 
>> 
>> 
>>   Checking references for intended status: Informational
>>   
>> 
>----------------------------------------------------------------------
>> ------
>> 
>>   == Outdated reference: A later version (-10) exists of
>>      draft-ietf-geopriv-l7-lcp-ps-09
>> 
>>   == Outdated reference: A later version (-10) exists of
>>      draft-ietf-ecrit-framework-09
>> 
>>   == Outdated reference: A later version (-09) exists of
>>      draft-ietf-geopriv-lbyr-requirements-07
>> 
>>   == Outdated reference: A later version (-16) exists of
>>      draft-ietf-geopriv-http-location-delivery-15
>> 
>> 
>>      Summary: 1 error (**), 7 warnings (==), 0 comments (--).
>> 
>>      Run idnits with the --verbose option for more detailed 
>information about
>>      the items above.
>> 
>> 
>

Fixed the indicated references and update IPR template. 

Ciao
Hannes

---

From: Ben Campbell <[email-masked]>
Date: Sun, 21 Feb 2010 13:35:55 -0600

Thanks! I have one remaining comment. The rest are handled by your other comments.

> I changed it to "Miscellaneous Properties". 

Thanks, that helps, and I think it pushes it back down to an editorial comment.  But I still wonder why a normative requirement like this is not one of the labeled requirements. Right now, it's sort of like saying "We've got requirements A, B,C, 1, 2, 3, and this other thing".

---

From: "Hannes Tschofenig" <[email-masked]>
Date: Sun, 21 Feb 2010 20:46:33 +0100

> Thanks, that helps, and I think it pushes it back down to an editorial
> comment.  But I still wonder why a normative requirement like this is not one
> of the labeled requirements. Right now, it's sort of like saying "We've got
> requirements A, B,C, 1, 2, 3, and this other thing".

I looked at it again and the classification appears to be a bit arbitrary.
I changed it again and flattened the structure. 

I re-submitted a new version. 

Ciao
Hannes

---

From: Ben Campbell <[email-masked]>
Date: Fri, 26 Feb 2010 15:25:37 -0600

Hi,

Version 04 addresses all of my concerns.

Thanks!

Ben.